summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristoph Haag2015-07-29 18:08:52 +0200
committerLubosz Sarnecki2016-06-20 15:19:18 +0200
commitf3a9231abcd29785ab22057fc9226efdf6f66fde (patch)
treed888ceb76d5871b9876721577838eb123d04a236
downloadaur-osvr-vive-git.tar.gz
initial commit
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD49
2 files changed, 67 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..b13fd47e755
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+# Generated by mksrcinfo v8
+# Mon Jun 20 13:18:46 UTC 2016
+pkgbase = osvr-vive-git
+ pkgdesc = OSVR driver for use with the HTC Vive (including Vive PRE)
+ pkgver = r165.873f07c
+ pkgrel = 1
+ url = https://github.com/OSVR/OSVR-Vive
+ arch = i686
+ arch = x86_64
+ makedepends = git
+ makedepends = cmake
+ depends = osvr-core-git
+ depends = openvr-git
+ source = osvr-vive::git+https://github.com/lubosz/OSVR-Vive.git#branch=linux
+ md5sums = SKIP
+
+pkgname = osvr-vive-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..c084d38f3d2
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,49 @@
+pkgname=osvr-vive-git
+pkgver=r165.873f07c
+pkgrel=1
+pkgdesc="OSVR driver for use with the HTC Vive (including Vive PRE)"
+arch=(i686 x86_64)
+url="https://github.com/OSVR/OSVR-Vive"
+#license=('GPL')
+makedepends=('git' 'cmake')
+depends=('osvr-core-git' 'openvr-git') #TODO: add more deps
+source=("osvr-vive::git+https://github.com/lubosz/OSVR-Vive.git#branch=linux")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/osvr-vive"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ cd osvr-vive
+ # find . -name CMakeLists.txt -exec sed -i 's/jsoncpp_lib/jsoncpp/g' {} \;
+
+ mkdir -p "$srcdir/osvr-vive-build"
+ # cp "$srcdir/Findjsoncpp.cmake" "$srcdir/osvr-vive/cmake"
+}
+
+build() {
+ cd osvr-vive-build
+ cmake -DCMAKE_INSTALL_PREFIX=/usr/ -DCMAKE_BUILD_TYPE=Release ../osvr-vive
+ make
+}
+
+package() {
+ cd osvr-vive-build
+ make DESTDIR="$pkgdir/" install
+
+ mv $pkgdir/usr/lib64 $pkgdir/usr/lib
+
+ rm $pkgdir/usr/README.md
+ rm $pkgdir/usr/LICENSE
+
+ mkdir -p $pkgdir/usr/share/osvrcore/sample-configs
+ mv $pkgdir/usr/osvr_server_config.vive.sample.json $pkgdir/usr/share/osvrcore/sample-configs
+}
+
+
+# vim:set ts=2 sw=2 et: